<?
$corec = $_SERVER['DOCUMENT_ROOT'];
require_once $corec.'/sys/inc/core.php';
only_reg();
$set['title']='Мои покупки/подарки';
require_once $corec.'/sys/inc/thead.php';
title();
err();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `my_bank` WHERE `id_user` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{

?><div class='ankus'>Нет сообщений</div><?


}

$q=mysql_query("SELECT * FROM `my_bank` WHERE `id_user` = '$user[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$sp=get_user($post['id_ank']);
$sp1=get_user($post['id_user']);
echo"<div class='ankus'>
".img('icon.png')." <a href='/$sp1[id]'>$sp1[nick]</a> :: ".output_text($post['msg'])."<br />
";
if($post['id_ank'] > 0)
{
echo "".img('icon.png')." От/Для :: <a href='/$sp[id]'>$sp[nick]</a>";
}
?></div><?
}
if ($k_page>1)str("arhiv.php?",$k_page,$page);

?><div class='hmenu'>- <a href='/kabinet.php'>Кабинет</a></div><?
require_once $corec.'/sys/inc/tfoot.php';
?>